> ## Documentation Index
> Fetch the complete documentation index at: https://docs.seam.co/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete a Space

> Deletes a space.



## OpenAPI

````yaml /openapi.json post /spaces/delete
openapi: 3.0.0
info:
  title: Seam Connect
  version: 1.0.0
servers:
  - url: https://connect.getseam.com
security: []
tags:
  - description: access_codes
    name: /access_codes
  - description: acs
    name: /acs
  - description: action_attempts
    name: /action_attempts
  - description: client_sessions
    name: /client_sessions
  - description: connected_accounts
    name: /connected_accounts
  - description: connect_webviews
    name: /connect_webviews
  - description: devices
    name: /devices
  - description: events
    name: /events
  - description: health
    name: /health
  - description: locks
    name: /locks
  - description: networks
    name: /networks
  - description: noise_sensors
    name: /noise_sensors
  - description: phones
    name: /phones
  - description: thermostats
    name: /thermostats
  - description: user_identities
    name: /user_identities
  - description: webhooks
    name: /webhooks
  - description: workspaces
    name: /workspaces
paths:
  /spaces/delete:
    post:
      tags: []
      summary: Delete a Space
      description: Deletes a space.
      operationId: spacesDeletePost
      requestBody:
        content:
          application/json:
            schema:
              properties:
                space_id:
                  description: ID of the space that you want to delete.
                  format: uuid
                  type: string
              required:
                - space_id
              type: object
      responses:
        '200':
          content:
            application/json:
              schema:
                properties:
                  ok:
                    type: boolean
                required:
                  - ok
                type: object
          description: OK
        '400':
          description: Bad Request
        '401':
          description: Unauthorized
      security:
        - pat_with_workspace: []
        - console_session_with_workspace: []
        - api_key: []
        - client_session_with_customer: []
      x-codeSamples:
        - lang: javascript
          label: Seam SDK
          source: >-
            await seam.spaces.delete({ space_id:
            "a7cd0163-4e94-41ae-b5b7-da6040a65509" });


            /*

            // void

            */
        - lang: bash
          label: cURL
          source: >-
            curl --include --request POST
            "https://connect.getseam.com/spaces/delete" \
              --header "Authorization: Bearer $SEAM_API_KEY" \
              --json @- <<EOF
            {
              "space_id": "a7cd0163-4e94-41ae-b5b7-da6040a65509"
            }

            EOF


            # Response:

            # {}
        - lang: python
          label: Seam SDK
          source: |-
            seam.spaces.delete(space_id="a7cd0163-4e94-41ae-b5b7-da6040a65509")

            # None
        - lang: ruby
          label: Seam SDK
          source: |-
            seam.spaces.delete(space_id: "a7cd0163-4e94-41ae-b5b7-da6040a65509")

            # => nil
        - lang: php
          label: Seam SDK
          source: >-
            $seam->spaces->delete(space_id:
            "a7cd0163-4e94-41ae-b5b7-da6040a65509");
        - lang: bash
          label: Seam CLI
          source: |-
            seam spaces delete --space_id "a7cd0163-4e94-41ae-b5b7-da6040a65509"

            # {}
components:
  securitySchemes:
    pat_with_workspace:
      bearerFormat: API Token
      scheme: bearer
      type: http
    console_session_with_workspace:
      bearerFormat: Console Session Token
      scheme: bearer
      type: http
    api_key:
      bearerFormat: API Key
      scheme: bearer
      type: http
    client_session_with_customer:
      bearerFormat: Customer Client Session Token
      scheme: bearer
      type: http

````